(function($) {
    function resetColorsToDefault() {
        // Define default values for your color settings
        const defaultColors = {
            'background_color': '#ffffff',
            'yoga_studio_primary_color': '#00ad8d',
            'yoga_studio_heading_color': '#14211b',
            'yoga_studio_text_color': '#697871',
            'yoga_studio_primary_fade': '#D8FFFD',
            'yoga_studio_footer_bg' :'#14211b',
            'yoga_studio_post_bg': '#ffffff',
        };

        // Iterate over each setting and set it to its default value
        for (let settingId in defaultColors) {
            wp.customize(settingId).set(defaultColors[settingId]);
        }

        // Optionally refresh the preview
        wp.customize.previewer.refresh();
    }

    // Attach reset function to global scope
    window.resetColorsToDefault = resetColorsToDefault;

    $(document).ready(function() {
        $('.color-reset-btn').val('RESET'); // This adds the 'RESET' text inside the button
    });
})(jQuery);